<?
include '../head.php';
/*
*Граббер тем с mobik.ru
*Автор: 
*otwap.Ru
*Запрещается: продажа, обмен, дарение и т.п.
*В случае неработоспособности граббера обращаться по ICQ, указанной выше
*/


$file=file_get_contents("http://themes.mobik.ru/?".$_SERVER['QUERY_STRING']);
$file=preg_replace('|<!DOCTYPE html PUBLIC "(.*?)<body>|is', '', $file);
$file=str_replace('<?xml version="1.0" encoding="UTF-8"?>', '', $file);
$file=preg_replace('|<div class="hov">(.*?)</div>|is', '', $file);
$file=preg_replace('|<div class="hov">(.*?)</div>|is', '', $file);
$file=preg_replace('|<div class="hov">(.*?)</div>|is', '', $file);
$file=preg_replace('|<div style="background:(.*?)</div>|is', '', $file);
$file=preg_replace('|<a href="http://mobik.ru/st/(.*?)</a>|is', '', $file);
$file=preg_replace('|<b>Добавлен:(.*?)<br/>|is', '', $file);
$file=preg_replace('|<b>Скачали:(.*?)<br/>|is', '', $file);
$file=preg_replace('|<input type="text"(.*?)</div>|is', '', $file);
$file=preg_replace('|<div class="footer">(.*?)</html>|is', '', $file);
$file=str_replace('src="/', 'src="http://themes.mobik.ru/', $file);
$file=str_replace('<a href="./?', '<a href="?', $file);
$file=str_replace('<img src="/i/', '<img src="http://themes.mobik.ru/i/', $file);
$file=str_replace('src="dwn.gif"', 'src="http://video.mobik.ru/dwn.gif"', $file);
$file=str_replace('<img src="http://video.mobik.ru/http://load.video.mobik.ru/screen.php', '<img src="http://load.video.mobik.ru/screen.php', $file);
$file=str_replace('<br />Прямая ссылка:', '', $file);
$file=str_replace('<div>', '', $file);
$file=str_replace('<a href="?load', '<a href="http://themes.mobik.ru/?load', $file);
echo $file;
include '../foot.php';
?>